import * as core from "@terrascript/core";

export interface DomainMailFromArgs extends core.ResourceArgs {
  behaviorOnMxFailure?: string | core.StringOut;

  domain: string | core.StringOut;

  mailFromDomain: string | core.StringOut;
}

export class DomainMailFrom extends core.Resource<DomainMailFromArgs> {
  @core.attr(String)
  public behaviorOnMxFailure?: string | core.StringOut;

  @core.attr(String)
  public domain!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public mailFromDomain!: string | core.StringOut;

  constructor(name: string, args?: DomainMailFromArgs) {
    super(name, "aws_ses_domain_mail_from", args);
  }

  public override getNamespace(): string {
    return "aws_ses";
  }
}
